from xml import xpath
import Global

class EventActionItem:

    def __init__(self, monitorParent, eventType, argCollector):
        fact = xpath.Evaluate("system/event-factory", Global.root)
        assert fact, "EventSourceClientHandler: Could not find event factory"
        assert fact[0], "EventSourceClientHandler: Could not find event factory value"
        self.eventFactory = fact[0].nodeValue

        self.monitorItem = Global.monitor.createItem(monitorParent, "action_exec_item")

        self.argCollector = argCollector
        self.eventType = eventType


    def execute(self):
        
        event = self.eventFactory.createEvent(self.eventType)
        Global.router.publish(self, event)
    
